package com.tofly.watermeter.custom.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.watermeter.custom.entity.Statistic;
import com.tofly.watermeter.entity.Bwkjzjpz;
import com.tofly.watermeter.entity.Qfkhjbxx;

import javax.servlet.http.HttpServletResponse;
import java.util.List;
import java.util.Map;

/**
 * @author FlashWJL
 * @date 2021/3/24 13:49
 */
public interface SbPlanService {
    IPage<Qfkhjbxx> getPlan(Page<Qfkhjbxx> page , Statistic statistic , HttpServletResponse response);

//    Page getPlanInfo(Page page, String month, String sbcj , String sblx , String sbkj);

    boolean generateReckonZj();

    List<Map> getYearMonth();

    boolean sbzqConfig(Bwkjzjpz bwkjzjpz);

    IPage sbzqQuery(Page<Bwkjzjpz> page);
}
